Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.cldc.i18n.j2me
Class ISO8859_1_Writer

    java.lang.Object
      java.io.Writer
          com.sun.cldc.i18n.StreamWriter
              com.sun.cldc.i18n.j2me.ISO8859_1_Writer

    public class ISO8859_1_Writer

extends StreamWriter

Default class for writing output streams.

Version:
  1.0 10/18/99

Field Summary

Fields inherited from class com.sun.cldc.i18n.StreamWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`ISO8859_1_Writer()`

Method Summary
`int` | `sizeOf(char[] array, int offset, int length)` Get the size in bytes of an array of chars
`void` | `write(char[] cbuf, int off, int len)` Write a portion of an array of characters.
`void` | `write(int c)` Write a single character.
`void` | `write(String str, int off, int len)` Write a portion of a string.

Methods inherited from class com.sun.cldc.i18n.StreamWriter
`close, flush, open`

Methods inherited from class java.io.Writer
`write, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ISO8859_1_Writer

    public ISO8859_1_Writer()

Method Detail

### write

    public void write(int c)
               throws IOException

  Write a single character.

  Overrides:
    `write` in class `Writer`
  Parameters:
    `c` - int specifying a character to be written.
  Throws:
    `IOException` - If an I/O error occurs

### write

    public void write(char[] cbuf,
                      int off,
                      int len)
               throws IOException

  Write a portion of an array of characters.

  Specified by:
    `write` in class `Writer`
  Parameters:
    `cbuf` - Buffer of characters to be written
    `off` - Offset from which to start reading characters
    `len` - Number of characters to be written
  Throws:
    `IOException` - If an I/O error occurs

### write

    public void write(String str,
                      int off,
                      int len)
               throws IOException

  Write a portion of a string.

  Overrides:
    `write` in class `Writer`
  Parameters:
    `str` - String to be written
    `off` - Offset from which to start reading characters
    `len` - Number of characters to be written
  Throws:
    `IOException` - If an I/O error occurs

### sizeOf

    public int sizeOf(char[] array,
                      int offset,
                      int length)

  Get the size in bytes of an array of chars

  Specified by:
    `sizeOf` in class `StreamWriter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"